Skip to main content
`Ctrl`+`K`

# PetscProbCreateFromOptions

Return the probability distribution specified by the arguments and options

## Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscProbCreateFromOptions(PetscInt dim, const char prefix[], const char name[], PetscProbFn **pdf, PetscProbFn **cdf, PetscProbFn **sampler)

Not Collective

## Input Parameters

- dim - The dimension of sample points

- prefix - The options prefix, or `NULL`

- name - The options database name for the probability distribution type

## Output Parameters

- pdf - The PDF of this type, or `NULL`

- cdf - The CDF of this type, or `NULL`

- sampler - The PDF sampler of this type, or `NULL`

## See Also

`PetscProbFn`, `PetscPDFMaxwellBoltzmann1D()`, `PetscPDFGaussian1D()`, `PetscPDFConstant1D()`

## Level

intermediate

## Location

src/dm/dt/interface/dtprob.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages